//修改搜索类型
function change_search_type(word,mypath,usernum)
{document.getElementById('search_word_2').innerHTML=word;
switch(word)
{
	case '百度':
	document.getElementById('form_action').innerHTML='http://www.baidu.com/baidu?tn=baidu&word=';		
	break;	
	case '优酷':
	document.getElementById('form_action').innerHTML='http://www.soku.com/search_video/q_';		
	break;	
	case '谷歌':
	document.getElementById('form_action').innerHTML='http://www.google.com.hk/#q=';
	break;
	case 'SOSO':	
	document.getElementById('form_action').innerHTML='http://www.soso.com/q?w=';
	break;
	case '本站':	
	document.getElementById('form_action').innerHTML=mypath+'/?usernum='+usernum+'&thispage=s&search_t=本站&word=';	
	break;
	}


	}
//修改网址
function changeurl(usernum,myid,mydo,W_url,W_name,W_vip,W_sc,mypath,U_W_count)
{
urlchange.style.display="block";
document.getElementById('urlchange').innerHTML="<iframe width=100% height=100% name=ifrurl allowtransparency=yes  marginheight=0 marginwidth=0 frameborder=0 scrolling=no src="+mypath+"/main/ifrurlmod.asp?U_W_count="+U_W_count+"&myid="+myid+"&usernum="+usernum+"&mydo="+mydo+"&W_sc="+W_sc+"&W_vip="+W_vip+"&W_url="+ W_url +"&W_name="+W_name+"></iframe>";
}
//删除网址
function del_url(url_id,U_W_count,mypath){
	if(window.confirm("确定要删除吗?不可恢复")==true){		
		document.getElementById("urlchange").innerHTML="<iframe width=0 height=0 src="+mypath+"/main/dourl.asp?mydo=del&myid="+url_id+"&U_W_count="+U_W_count+"></iframe>";
		}
	}
//转播或评论
function zb_or_pl(this_myid,mypath,this_T_recount,this_zb_yuanid,zb_type){
	if(document.getElementById('zb_'+this_myid).innerHTML.indexOf('zb_type='+zb_type)==-1){
		document.getElementById('zb_'+this_myid).innerHTML='<div class=this_zb_if><iframe id=ifr_'+this_myid+' width=100% height=100% scrolling=no frameborder=0 marginheight=0 marginwidth=0 src='+mypath+'/main/ifr_zb.asp?this_T_recount='+this_T_recount+'&zb_id='+this_myid+'&T_yuanid='+this_zb_yuanid+'&zb_type='+zb_type+'></iframe></div>'}
		else{
			document.getElementById('zb_'+this_myid).innerHTML=''}
	}
//删除微博
function del_my_t(this_myid,mypath){
	if(window.confirm('确定要删除吗?不可恢复')==true){
		document.getElementById('zb_'+this_myid).innerHTML='<div><iframe id=ifr_'+this_myid+' width=0 height=0 scrolling=no frameborder=0 marginheight=0 marginwidth=0 src='+mypath+'/main/Dosay.asp?mydo=del&del_id='+this_myid+'></iframe></div>'}
	}

//收听操作
function mydo_shouting(mypath,ting_num1,ting_num2,ting_type)
{//ting_id操作的DIV;ting_num1收听人;ting_num2被收听人;ting_type收听类型0收听1取消
if(ting_num1==ting_num2){alert("不用收听自己哦!");}else{
shouting_all.innerHTML="<iframe width=0 height=0 src="+mypath+"/main/shuo_ting.asp?ting_num2="+ting_num2+"&ting_type="+ting_type+"></iframe>"
if(ting_type==0){
	document.getElementById(ting_num2).innerHTML="<div id="+ ting_num2 +"><img src="+ mypath +"/main/img/see_on.gif width=15 height=12 alt=已收听> 已收听,<a href=javascript:void(0); onclick=mydo_shouting('"+ mypath +"','"+ ting_num1 +"','"+ ting_num2 +"',1)>取消</a></div>"
	}else{
	document.getElementById(ting_num2).innerHTML="<div id="+ ting_num2 +"><img src="+ mypath +"/main/img/see_now.gif width=77 height=22 alt=点击收听 onclick=mydo_shouting('"+ mypath +"','"+ ting_num1 +"','"+ ting_num2 +"',0) class=cursor_pointer></div>"
	}
	}
}

